/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\IceDevil.cs
Lines of code: 78
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "an ice devil corpse" )]
	public class IceDevil : BaseCreature
	{

		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 2 ) )
			{
				default:
				case 0: return WeaponAbility.DoubleShot;
				case 1: return WeaponAbility.ParalyzingBlow;
			}
		}

		[Constructable]
		public IceDevil() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 
0.4 )
		{
			Name = "an ice devil";
			Body = 74;
			BaseSoundID = 422;
			Hue = 0x480;

			SetStr( 81, 111 );
			SetDex( 51, 69 );
			SetInt( 105, 154 );

			SetHits( 70, 120 );

			SetDamage( 12, 17 );

			ActiveSpeed = 0.125;
			CurrentSpeed = 0.25;
			PassiveSpeed = 0.25;

			SetDamageType( ResistanceType.Physical, 50 );
			SetDamageType( ResistanceType.Cold, 50 );

			SetResistance( ResistanceType.Physical, 25, 35 );
			SetResistance( ResistanceType.Fire, 20, 30 );
			SetResistance( ResistanceType.Cold, 40, 50 );
			SetResistance( ResistanceType.Poison, 30, 40 );
			SetResistance( ResistanceType.Energy, 30, 40 );

			SetSkill( SkillName.EvalInt, 46.7, 62.8 );
			SetSkill( SkillName.Magery, 92.4, 112.0 );
			SetSkill( SkillName.MagicResist, 46.1, 63.7 );
			SetSkill( SkillName.Tactics, 32.1, 40.0 );
			SetSkill( SkillName.Wrestling, 33.1, 32.0 );

			Fame = 2800;
			Karma = -2800;

			VirtualArmor = 30;

			Tamable = true;
			ControlSlots = 2;
			MinTameSkill = 87.4;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Meager );
			AddLoot( LootPack.MedScrolls, 2 );
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 6; } }
		public override HideType HideType{ get{ return HideType.Spined; } }
		public override FoodType FavoriteFood{ get{ return FoodType.Meat; } }
		public override PackInstinct PackInstinct{ get{ return 
PackInstinct.Daemon; } }

		public IceDevil( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}